Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.DynamicAny
Class NameDynAnyPair

    java.lang.Object
      |
      +--org.omg.DynamicAny.NameDynAnyPair

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class NameDynAnyPair
extends java.lang.Object
implements IDLEntity

Struct definition : NameDynAnyPair

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`java.lang.String` | `id` Struct member id
`DynAny` | `value` Struct member value

Constructor Summary
`NameDynAnyPair()` Default constructor
`NameDynAnyPair(java.lang.String id, DynAny value)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    public java.lang.String id

  Struct member id

### value

    public DynAny value

  Struct member value

Constructor Detail

### NameDynAnyPair

    public NameDynAnyPair()

  Default constructor

### NameDynAnyPair

    public NameDynAnyPair(java.lang.String id,
                          DynAny value)

  Constructor with fields initialization
  Parameters:
    `id` - id struct member
    `value` - value struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD